ManEdit(1)

NAME

manedit - UNIX Manual Page IDE

SYNTAX

manedit [manual_page] [options] [GUI_options]
manedit --viewer [manual_page]

DESCRIPTION

ManEdit is a UNIX Manual Page Integrated Development Environment. It has full UNIX manual page editing capabilities using an XML interface with instant preview. ManEdit uses the GTK+ widget set and requires the X Window Systems.

In the ManEdit editor you can load one or more manual pages and edit each section using ManEdit's manual page format to XML translation feature. Each manual page is broken down into sections and one header for easier recognition of the manual page format. If you are unfamiliar with the XML or manual page formats, you should go to Help->How To Write ManPages.

In viewer mode, you can search for an manual page installed in the global manual page directories on the file system ManEdit is running on. There is also an index feature which creates a complete catagory index listing of all the manual pages installed on the file system (see View->Index).

ManEdit also supports full Drag and Drop features between its process windows, you can run ManEdit with multiple editor and viewer windows in a single process.

OPTIONS

--config <file>
    Specifies alternate configuration file location.

--rcfile
    Same as --config.

-f <file>
    Same as --config.

--viewer
    Start up as a viewer (overrides start up values in configuration file).

--help
    Output help message and exit.

--version
    Output version information and exit.

Most other customizations can be performed in the preferences menu.

FILES

$HOME/.maneditrc
    Local configuration file.

%%PREFIX%%/share/manedit/
    Global program directory.

%%PREFIX%%/share/manedit/help/
    Help and tutorial files.

%%PREFIX%%/share/manedit/templates/
    Manual page template files, used in the creation of new manual pages.

/usr/man
    Global manual pages directory.

/usr/share/man
    Global manual pages directory (used by newer UNIX distributions).

%%X11BASE%%/man
    Global X11 manual pages directory.

%%LOCALBASE%%/man
    Global local manual pages directory.

ENVIRONMENT VARIABLES

HOME
    Specifies user's home directory.

USER
    Specifies user's name (fallback from USERNAME).

USERNAME
    Specifies user's name.

EXAMPLES

To run this program the standard way, type:

# manedit &

To run this program and load a manual page at startup, type:

# manedit [manual_page] &

You can run it as a viewer by specifying the --viewer option so that it starts up with a viewer instead of an editor window:

# manedit --viewer [manual_page] &

AUTHORS

http://wolfpack.twu.net/contacts.html

SEE ALSO

ManEdit home page
    http://wolfpack.twu.net/ManEdit/